% This script is used to get the location of each vertex in the flattened
% map.
% By Yuxiang, August 27, 2017

Path = '/autofs/space/bidlin7_001/users/GAN/GSP/Images/Single_Points';

vertex_location = zeros(n,3);

for n = 1:2562 %25
    n
    map = imread([Path '/' num2str(n) '.tiff']);
    g_map = double(map(:,:,2)); % green color of the map
    % imagesc(g_map);
    [~,n1] = max(max(g_map));
    [m,n2] = max(g_map(:,n1));
%     [n2,n1,m]
    
    if m >= 80
        vertex_location(n,:) = [n2,n1,m];
    else
        vertex_location(n,:) = [0,0,m];
    end
end

vertex_location(:,1:2) = vertex_location(:,1:2) - 50;
save vertex_location;

